﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <script type="text/javascript">
    var olMap = null;
    function OnMapCreated(map) {
        olMap = map;
    }

    // call this method after callback to refresh one overlay directly.
    // overlayId is the Id you set for the overlay when creating the overlay object in the code behind.
    function UpdateOverlay(overlayId) {
        if (olMap != null) {
            var overlay = olMap.getLayer(overlayId);
            overlay.redraw(true);
        }
    }

    function ChangeLayerStyle() {
        <%=ClientScript.GetCallbackEventReference(this, "null", "UpdateOverlay", "null") %>;
    }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample simply adds an overlay and sets the background.
        <asp:Button runat="server" Text="ChangeLayerStyle" OnClientClick="ChangeLayerStyle(); return false;" />
    </Description:DescriptionPanel>
    </form>
</body>
</html>
